...
 
Commits (2)
  • Lee Johnson's avatar
    fix GH #5, document breakage for code using ASI · ac7c1a67
    Lee Johnson authored
    it looks like the "feature" of ASI support was removed in 664f8365 - i
    have attempted to revert that commit and fix conflicts in 064d646[1] but
    tests fail. for now we will just document that ASI is not supported by
    the module
    
    [1] "Removed missing semicolon fix." - why? i don't know, so hence my
    rationale for the revert is "you didn't tell me why you made this change
    so i'm going to revert it and see what breaks"
    ac7c1a67
  • gregor herrmann's avatar
    New upstream version 2.04 · a3984f80
    gregor herrmann authored
    a3984f80
Revision history for JavaScript-Packer
2.04 2018-02-01
- Document that the module breaks code that relies on ASI (GH #5)
2.03 2017-04-18
- Makefile.PL moved to ExtUtils::MakeMaker to fix no . in @INC (perl 5.25.11+)
......
......@@ -10,7 +10,7 @@
],
"meta-spec" : {
"url" : "http://search.cpan.org/perldoc?CPAN::Meta::Spec",
"version" : "2"
"version" : 2
},
"name" : "JavaScript-Packer",
"no_index" : {
......@@ -49,6 +49,6 @@
"url" : "https://github.com/leejo/javascript-packer-perl"
}
},
"version" : "2.03",
"x_serialization_backend" : "JSON::PP version 2.27400_02"
"version" : "2.04",
"x_serialization_backend" : "JSON::PP version 2.97000"
}
......@@ -24,5 +24,5 @@ resources:
homepage: https://metacpan.org/module/JavaScript::Packer
license: http://dev.perl.org/licenses/
repository: https://github.com/leejo/javascript-packer-perl
version: '2.03'
version: '2.04'
x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
......@@ -2,7 +2,7 @@ NAME
JavaScript::Packer - Perl version of Dean Edwards' Packer.js
VERSION
Version 2.00
Version 2.04
DESCRIPTION
A JavaScript Compressor
......@@ -108,7 +108,11 @@ AUTHOR
Merten Falk, `<nevesenin at cpan.org>'. Now maintained by Lee Johnson
(LEEJO)
BUGS
BUGS AND CAVEATS
This module will break code that relies on ASI, see
https://github.com/leejo/javascript-packer-perl/issues/5 for more
information.
Please report any bugs or feature requests through the web interface at
http://github.com/leejo/javascript-packer-perl/issues.
......
......@@ -8,7 +8,7 @@ use Regexp::RegGrp;
# =========================================================================== #
our $VERSION = "2.03";
our $VERSION = "2.04";
our @BOOLEAN_ACCESSORS = ( 'no_compress_comment', 'remove_copyright' );
......@@ -731,7 +731,7 @@ JavaScript::Packer - Perl version of Dean Edwards' Packer.js
=head1 VERSION
Version 2.02
Version 2.04
=head1 DESCRIPTION
......@@ -853,7 +853,10 @@ A scalar is requested by the context. The input will remain unchanged.
Merten Falk, C<< <nevesenin at cpan.org> >>. Now maintained by Lee
Johnson (LEEJO)
=head1 BUGS
=head1 BUGS AND CAVEATS
This module will break code that relies on ASI, see L<https://github.com/leejo/javascript-packer-perl/issues/5>
for more information.
Please report any bugs or feature requests through the web interface at
L<http://github.com/leejo/javascript-packer-perl/issues>.
......